/// <reference types="node" />
import type { RequestOptions } from 'https';
import Request, { BearerAuth, RequestData } from './request';
import { Region } from './regions';
import { SendEmailRequest } from './api/requests';
declare type APIDefaults = RequestOptions & {
    region: Region;
    url?: string;
};
declare type Recipients = Record<string, unknown>;
export declare class APIClient {
    appKey: BearerAuth;
    defaults: APIDefaults;
    request: Request;
    apiRoot: string;
    constructor(appKey: BearerAuth, defaults?: Partial<APIDefaults>);
    sendEmail(req: SendEmailRequest): Promise<Record<string, any>>;
    triggerBroadcast(id: string | number, data: RequestData, recipients: Recipients): Promise<Record<string, any>>;
}
export { SendEmailRequest } from './api/requests';
